<?php
if (!defined('INIT')) exit;
$t_show = 'list';
$sub = false;

if (isset($_POST['laction']))
{
	if ((($_POST['laction'] == 'reallydel' and isset($_POST['confirmdelete'])) or $_POST['laction'] == 'delete') and !empty($_POST['files']))
	{
		if ($_POST['laction'] == 'reallydel') $_POST['files'] = explode(',',$_POST['files']);
		if (isset($_POST['andolder']))
		{
			if (isset($_POST['type']))
			{
				if (isset($_POST['id']) and ctype_digit($_POST['id']))
				{
					$dbs = $g_db->prepare('SELECT id FROM `'.DB_PRE.'logs` WHERE `group`=? AND id<=? AND type=? AND tid=?');
					$dbs->execute(array($g_active_group,max($_POST['files']),$_POST['type'],$_POST['id']));
				}
				else
				{
					$dbs = $g_db->prepare('SELECT id FROM `'.DB_PRE.'logs` WHERE `group`=? AND id<=? AND type=?');
					$dbs->execute(array($g_active_group,max($_POST['files']),$_POST['type']));
				}
			}
			else
			{
				$dbs = $g_db->prepare('SELECT id FROM `'.DB_PRE.'logs` WHERE `group`=? AND id<=?');
				$dbs->execute(array($g_active_group,max($_POST['files'])));
			}
		}
		else
		{
			$dbs = $g_db->prepare('SELECT id FROM `'.DB_PRE.'logs` WHERE id IN '.in_statement($_POST['files'],$g_db).' AND `group`=?');
			$dbs->execute(array($g_active_group));
		}
		$del = $dbs->fetchAll(PDO::FETCH_COLUMN);
		if (!empty($del))
		{
			if ($_POST['laction'] == 'reallydel')
			{
				$dbs = $g_db->query('DELETE FROM `'.DB_PRE.'logs` WHERE id IN '.in_statement($del,$g_db));
				foreach ($del as $delfile)
				{
					@unlink('logs/'.$delfile.'.txt');
				}
				$t_infos[] = $dbs->rowCount().' Logs gelöscht';
			}
			else
			{
				$t_count = count($del);
				$t_files = implode(',',$del);
				$t_show = 'delete';
				$t_backlink = './?logs';
				if (isset($_POST['page'])) $t_backlink .= '&page='.htmlspecialchars($_POST['page']);
				if (isset($_POST['type'])) $t_backlink .= '&type='.htmlspecialchars($_POST['type']);
				if (isset($_POST['id'])) $t_backlink .= '&id='.htmlspecialchars($_POST['id']);
			}
		}
		
	}
	elseif ($_POST['laction'] == 'reallydelerror' and $g_is_admin)
	{
		if (isset($_POST['confirmdelete']))
		{
			foreach (scandir('cron-error/') as $efile)
			{
				if ($efile!='.' and $efile!='..')
				{
					unlink('cron-error/'.$efile);
				}
			}
			$t_infos[] = 'Die Fehlermeldungen wurden gelöscht.';
		}
		$t_show = 'errors';
	}
}
else
{
	if  (($_GET['logs'] == 'view') and isset($_GET['file']))
	{
		$dbs = $g_db->prepare('SELECT title, time FROM `'.DB_PRE.'logs` WHERE id=? AND `group`=?');
		$dbs->execute(array($_GET['file'],$g_active_group));
		if (!$log = $dbs->fetch())
		{
			$t_warnings[] = 'Logeintrag exitiert nicht';
		}
		else
		{
			$filename = 'logs/'.$_GET['file'].'.txt';
			if (!is_readable($filename))
			{
				$t_warnings[] = 'Logeintrag kann nicht gelesen werden';
			}
			else
			{
				$t_show = 'view';
				$t_content = date($g_settings['dateformat'],$log['time'])."\n".$log['title']."\n\n";
				$t_content .= file_get_contents($filename);
				if (isset($_GET['page']))
				{
					$t_page = $_GET['page'];
				}
				else
				{
					$t_page = 1;
				}
				$t_backlink = './?logs';
				if ($t_page>1) $t_backlink .= '&page='.htmlspecialchars($t_page);
				if (isset($_GET['type'])) $t_backlink .= '&type='.htmlspecialchars($_GET['type']);
				if (isset($_GET['id'])) $t_backlink .= '&id='.htmlspecialchars($_GET['id']);
			}
		}
	}
	elseif  ($_GET['logs'] == 'errors' and $g_is_admin)
	{
		$t_show = 'errors';
	}
	elseif  ($_GET['logs'] == 'errorview' and $g_is_admin and isset($_GET['file']) and preg_match('/([0-9]+)(-([0-9]+))?/', $_GET['file'],$sub))
	{
		$filename = 'cron-error/'.$_GET['file'].'.txt';
		if (!is_readable($filename))
		{
			$t_warnings[] = 'Fehlermeldung kann nicht gelesen werden';
			$t_show = 'errors';
		}
		else
		{
			$t_show = 'errorview';
			$t_content = date($g_settings['dateformat'],$sub[1]).(isset($sub[3]) ? ' ('.$sub[3].')' : '')."\n\n";
			$t_content .= file_get_contents($filename);
		}
	}
	elseif  ($_GET['logs'] == 'delerror' and $g_is_admin)
	{
		$t_show = 'errordel';
	}
}

if ($t_show == 'errors')
{
	$t_fatal_errors = array();
	foreach (scandir('cron-error/') as $efile)
	{
		if (preg_match(FERR_PATTERN, $efile, $sub))
		{
			$t_fatal_errors[] = array('title'=>date($g_settings['dateformat'],$sub[2]).(isset($sub[4]) ? ' ('.$sub[4].')' : ''), 'link'=> './?logs=errorview&file='.$sub[1]);
		}
	}
}
elseif ($t_show == 'list')
{
	$per_page = 30;
	$t_filter_types = array(''=>'Alle', 'web'=>'Webtests', 'mail'=>'Mailtests');
	$dbs = $g_db->prepare('SELECT COUNT(*) FROM `'.DB_PRE.'logs` WHERE `group`=?');
	$dbs->execute(array($g_active_group));
	$t_log_count = $dbs->fetchColumn();
	$t_pages = (int)ceil($t_log_count/$per_page);

	if (isset($_GET['page']) and ctype_digit($_GET['page']) and $_GET['page']<=$t_pages and $_GET['page']>0)
	{
		$t_page = $_GET['page'];
		$start = ($_GET['page']-1)*$per_page;
	}
	else
	{
		$start = 0;
		$t_page = 1;
	}
	if (isset($_GET['type']))
	{
		if (isset($_GET['id']) and ctype_digit($_GET['id']))
		{
			$dbs = $g_db->prepare('SELECT id, tid, type, time, error, title FROM `'.DB_PRE.'logs` WHERE `group`=:group AND type=:type AND tid=:id ORDER BY id DESC LIMIT :start,:num');
			$dbs->bindValue(':id',$_GET['id']);
			$t_filter_id = $_GET['id'];
		}
		else
		{
			$dbs = $g_db->prepare('SELECT id, tid, type, time, error, title FROM `'.DB_PRE.'logs` WHERE `group`=:group AND type=:type ORDER BY id DESC LIMIT :start,:num');
			$t_filter_id = false;
		}
		$t_filter_type = $_GET['type'];
		$dbs->bindValue(':type',$_GET['type']);
		$dbs->bindValue(':group',$g_active_group);
		$dbs->bindValue(':start',$start,PDO::PARAM_INT);
		$dbs->bindValue(':num',$per_page,PDO::PARAM_INT);
		$dbs->execute();
		$t_log_list = $dbs->fetchAll();
	}
	if (empty($t_filter_type) or (!empty($t_filter_id) and empty($t_log_list)))
	{
		$dbs = $g_db->prepare('SELECT id, tid, type, time, error, title FROM `'.DB_PRE.'logs` WHERE `group`=:group ORDER BY id DESC LIMIT :start,:num');
		$dbs->bindValue(':group',$g_active_group);
		$dbs->bindValue(':start',$start,PDO::PARAM_INT);
		$dbs->bindValue(':num',$per_page,PDO::PARAM_INT);
		$dbs->execute();
		$t_log_list = $dbs->fetchAll();
		$t_filter_id = false;
		$t_filter_type = false;
	}
	
	if ($t_filter_id)
	{
		$result = false;
		if ($t_filter_type == 'web')
		{
			$dbs = $g_db->prepare('SELECT url AS n, comment FROM `'.DB_PRE.'webtest` WHERE id=?');
			$dbs->execute(array($t_filter_id));
			$result = $dbs->fetch();
		}
		elseif ($t_filter_type == 'mail')
		{
			$dbs = $g_db->prepare('SELECT GROUP_CONCAT(s.address SEPARATOR \', \') AS n, m.comment FROM `'.DB_PRE.'mailtest` AS m LEFT JOIN `'.DB_PRE.'mail_sendto` AS s ON m.id=s.tid WHERE m.id=? GROUP BY m.id');
			$dbs->execute(array($t_filter_id));
			$result = $dbs->fetch();
		}
		if ($result)
		{
			$t_filter_name = $result['n'].($result['comment'] ? ' ('.$result['comment'].')' : '');
		}
		else
		{
			$t_filter_name = $t_log_list[0]['title'];
		}
	}
	
	foreach ($t_log_list as &$log_entry)
	{
		$log_entry['link_view'] = './?logs=view';
		$log_entry['link_view'].= '&file='.htmlspecialchars($log_entry['id']);
		if ($t_page > 1) $log_entry['link_view'].= '&page='.htmlspecialchars($t_page);
		if ($t_filter_type) $log_entry['link_view'].= '&type='.htmlspecialchars($t_filter_type);
		if ($t_filter_id) $log_entry['link_view'].= '&id='.htmlspecialchars($t_filter_id);
		
		$log_entry['link_filter'] = './?logs=view';
		$log_entry['link_filter'].= '&type='.htmlspecialchars($log_entry['type']);
		$log_entry['link_filter'].= '&id='.htmlspecialchars($log_entry['tid']);
	}
}
