$(function() {
	
	// Checkbox mit class=allcb soll alle anderen Checkboxen im Formular ändern
	// Wenn kein Javascript verfügbar ist, bleibt der type auf hidden
	$('.allcb').prop('type','checkbox');
	$('.allcb').change(function(){
		var ckd = $(this).prop('checked');
		$(this).closest('form').find('input[type="checkbox"]').each(function(){
			$(this).prop('checked',ckd);
		})
	});
	
	// Prüfen, ob input type=url unterstützt wird.
	// Wenn ja, dann alle input class=inputurl entsprechend ändern
	var i = document.createElement("input");
	i.setAttribute("type", "url");
	if (i.type == "url"){
		$('input.inputurl').prop('type','url');
	}
	
	// Eingabefeld deaktivieren, wenn Gruppenstandard verwendet wird
	var radio_default_fktn = function() {
		$(this).closest('tr').find(':input').not('.radio_default').first().prop('disabled', $(this).val() == 1);
	}
	$('.radio_default:checked').each(radio_default_fktn);
	$('.radio_default').change(radio_default_fktn);
	
	// Zusätzliche Eingabefelder einfügen
	$('.addform').click(function(event){
		event.preventDefault();
		var b=$(this).closest('form').find('div.testbox');
		var htmlcode = b.get(-1).outerHTML;
		htmlcode = htmlcode.replace(/\[\d+\]/g,'['+b.length+']');
		var newform = $(htmlcode);
		b.last().after(newform);
		newform.find('.radio_default:checked').each(radio_default_fktn);
		newform.find('.radio_default').change(radio_default_fktn);
		$('html,body').animate({scrollTop: newform.offset().top}, 500);
	});
});

