<?php

if (!defined('INIT')) exit;

// Beginn Web-Template

if ($t_show == 'normal' or $t_show == 'delweb') { ?>
	<div class="parbox">
		<span class="parhead">Webseitentest</span>
		<div class="parbody">
			<form method="post" action="./" accept-charset="utf-8">
				<?php if ($t_show == 'delweb') { ?>
					<div class="testheading">Folgende Tests wirklich löschen?</div>
				<?php } ?>
				<?php foreach ($t_web_list as $entry) { ?>
					<div class="<?php echo $entry['div_class']; ?> testbox">
						<?php if ($t_show == 'normal') { ?>
							<div class="testcell">
								<input type="checkbox" name="urlsel[]" value="<?php echo $entry['id']; ?>">
							</div>
							<div class="testcell">
						<?php } elseif ($t_show == 'delweb') { ?>
							<input type="hidden" name="urlsel[]" value="<?php echo $entry['id']; ?>">
						<?php } ?>
							<div class="testtitle">
								<a href="<?php echo $entry['url']; ?>" target="_blank"><?php echo $entry['url']; ?></a>
							</div>
							<table class="testdetails">
								<?php if (!empty($entry['comment'])) { ?>
									<tr><td class="desc">Anmerkung:</td><td><?php echo $entry['comment']; ?></td></tr>
								<?php } ?>
								<tr><td class="desc">Einstellungen:</td><td>
								Zeitlimit <?php printf('%s%s%s',nf($entry['timeout_d'] ? $g_default_values['web_timeout'] : $entry['timeout']), 's', $entry['timeout_d'] ? ' (S)' : ''); ?>,
								Wiederholungen <?php echo ($entry['retries_d']) ? $g_default_values['web_retries'].' (S)' : $entry['retries']; ?>,
								Weiterleitungen <?php echo ($entry['redirects_d']) ? $g_default_values['web_redirects'].' (S)' : $entry['redirects']; ?>,
								Statuscode prüfen <?php echo ($entry['checkstatuscode_d']) ? yesno($g_default_values['web_check_statuscode']).' (S)' : yesno($entry['checkstatuscode']); ?>,
								Inhalt prüfen <?php echo ($entry['checkcontent_d']) ? yesno($g_default_values['web_check_content']).' (S)' : yesno($entry['checkcontent']); ?>,
								SSL-Zertifikat prüfen <?php echo ($entry['certcheck_d']) ? yesno($g_default_values['web_cert_check']).' (S)' : yesno($entry['certcheck']); ?></td></tr>
								<?php if ($entry['site_ok']) { ?>
									<tr class="teststatus"><td class="desc">Erwartet:</td><td><?php echo $entry['found']; ?></td></tr>
								<?php } else { ?>
									<tr class="teststatus"><td class="desc">Erwartet:</td><td><?php echo $entry['expected']; ?></td></tr>
									<tr><td class="desc">Gefunden:</td><td><?php echo $entry['found']; ?></td></tr>
								<?php } ?>
								<tr><td class="desc">Logs:</td><td>
									<?php if ($entry['logcount']==0) { ?>
										keine
									<?php } elseif ($entry['logcount']==1) { ?>
										<a href="./?logs=view&type=web&id=<?php echo $entry['id']; ?>">1 Eintrag</a>
									<?php } else { ?>
										<a href="./?logs=view&type=web&id=<?php echo $entry['id']; ?>"><?php echo $entry['logcount']; ?> Einträge</a>
									<?php } ?>
								</td></tr>
							</table>
						<?php if ($t_show == 'normal') { ?>
							</div>
						<?php } ?>
					</div>
				<?php } //end foreach ?>
				<?php if ($t_show == 'normal') { ?>
					<?php if (count($t_web_list)) { ?>
						<div class="testbox foot">
							<div class="testcell">
								<input type="hidden" class="allcb">
							</div>
							<div class="testcell">
								<select size="1" name="action">
									<option value="editurl">bearbeiten</option>
									<option value="urlon">aktivieren</option>
									<option value="urloff">deaktivieren</option>
									<option value="seturl">Wert übernehmen</option>
									<option value="cacheurl">jetzt prüfen</option>
									<option value="delurl">löschen</option>
								</select>
								<input type="submit" value="Ok" name="send" class="actionsel">
					<?php } ?>
								<span class="iconlink">
									<img alt="" src="img/new.png"><a href="./?action=newurl">Neuen Test erstellen</a>
								</span>
					<?php if (count($t_web_list)) { ?>
							</div>
						</div>
					<?php } ?>
				<?php } elseif ($t_show == 'delweb') { ?>
					<div><input type="checkbox" checked name="dellogs" value="y"><label for="dellogs">Lösche auch die Logeinträge für diese Tests</label></div>
					<div>
						<input type="hidden" value="reallydelurl" name="action">
						<input type="submit" value="Ja" name="confirmdelete">
						<input type="submit" value="Nein" name="abort" formnovalidate>
					</div>
				<?php } ?>
			</form>
		</div>
	</div>
<?php }
elseif ($t_show == 'editweb' or $t_show == 'newweb') { ?>
	<div class="parbox">
		<span class="parhead">Webseitentest</span>
		<div class="parbody">
			<form method="post" action="./" accept-charset="utf-8">
				<?php if ($t_show == 'newweb') { ?>
					<div class="testheading">Neue Tests anlegen</div>
				<?php } ?>
				<?php foreach ($t_web_list as $entry) { ?>
					<div class="<?php echo $entry['div_class']; ?> testbox">
						<div class="testtitle">
							<input type="text" pattern="<?php echo URL_PATTERN; ?>" title="Nur http:// und https://" class="inputurl longinput" name="url[<?php echo $entry['id']; ?>]" value="<?php echo $entry['url']; ?>" placeholder="Geben Sie eine URL ein.">
						</div>
						<table class="testsettings">
							<tr>
								<td><label for="urlcomment[<?php echo $entry['id']; ?>]">Anmerkung:</label></td>
								<td colspan="2"><input type="text" title="Anmerkung" name="urlcomment[<?php echo $entry['id']; ?>]" value="<?php echo $entry['comment']; ?>" placeholder="Sie können eine Anmerkung zu diesem Test eingeben." size="50"></td>
							</tr>
							<tr>
								<td><label for="urltimeout[<?php echo $entry['id']; ?>]">Zeitlimit:</label></td>
								<td>
									<input class="radio_default" type="radio" name="urltimeout_d[<?php echo $entry['id']; ?>]" value="1" <?php if ($entry['timeout_d']) echo 'checked'; ?>/> Gruppenstandard (<?php echo $g_default_values['web_timeout']; ?>s)
								</td>
								<td>
									<input class="radio_default" type="radio" name="urltimeout_d[<?php echo $entry['id']; ?>]" value="0" <?php if (!$entry['timeout_d']) echo 'checked'; ?>/>
									<input type="text" size="8" name="urltimeout[<?php echo $entry['id']; ?>]" value="<?php echo $entry['timeout']; ?>"/> Sekunden
								</td>
							</tr>
							<tr>
								<td><label for="urlretries[<?php echo $entry['id']; ?>]">Wiederholungen:</label></td>
								<td>
									<input class="radio_default" type="radio" name="urlretries_d[<?php echo $entry['id']; ?>]" value="1" <?php if ($entry['retries_d']) echo 'checked'; ?>/> Gruppenstandard (<?php echo $g_default_values['web_retries']; ?>)
								</td>
								<td>
									<input class="radio_default" type="radio" name="urlretries_d[<?php echo $entry['id']; ?>]" value="0" <?php if (!$entry['retries_d']) echo 'checked'; ?>/>
									<input type="text" size="8" name="urlretries[<?php echo $entry['id']; ?>]" value="<?php echo $entry['retries']; ?>"/>
								</td>
							</tr>
							<tr>
								<td><label for="urlredirects[<?php echo $entry['id']; ?>]">Weiterleitungen:</label></td>
								<td>
									<input class="radio_default" type="radio" name="urlredirects_d[<?php echo $entry['id']; ?>]" value="1" <?php if ($entry['redirects_d']) echo 'checked'; ?>/> Gruppenstandard (<?php echo $g_default_values['web_redirects']; ?>)
								</td>
								<td>
									<input class="radio_default" type="radio" name="urlredirects_d[<?php echo $entry['id']; ?>]" value="0" <?php if (!$entry['redirects_d']) echo 'checked'; ?>/>
									<input type="text" size="8" name="urlredirects[<?php echo $entry['id']; ?>]" value="<?php echo $entry['redirects']; ?>"/>
								</td>
							</tr>
							<tr>
								<td><label for="urlcheckstatuscode[<?php echo $entry['id']; ?>]">Statuscode prüfen:</label></td>
								<td>
									<input class="radio_default" type="radio" name="urlcheckstatuscode_d[<?php echo $entry['id']; ?>]" value="1" <?php if ($entry['checkstatuscode_d']) echo 'checked'; ?>/> Gruppenstandard (<?php echo yesno($g_default_values['web_check_statuscode']); ?>)
								</td>
								<td>
									<input class="radio_default" type="radio" name="urlcheckstatuscode_d[<?php echo $entry['id']; ?>]" value="0" <?php if (!$entry['checkstatuscode_d']) echo 'checked'; ?>/>
									<input type="checkbox" name="urlcheckstatuscode[<?php echo $entry['id']; ?>]" <?php if($entry['checkstatuscode']) echo 'checked '; ?>/>
								</td>
							</tr>
							<tr>
								<td><label for="urlcheckcontent[<?php echo $entry['id']; ?>]">Inhalt prüfen:</label></td>
								<td>
									<input class="radio_default" type="radio" name="urlcheckcontent_d[<?php echo $entry['id']; ?>]" value="1" <?php if ($entry['checkcontent_d']) echo 'checked'; ?>/> Gruppenstandard (<?php echo yesno($g_default_values['web_check_content']); ?>)
								</td>
								<td>
									<input class="radio_default" type="radio" name="urlcheckcontent_d[<?php echo $entry['id']; ?>]" value="0" <?php if (!$entry['checkcontent_d']) echo 'checked'; ?>/>
									<input type="checkbox" name="urlcheckcontent[<?php echo $entry['id']; ?>]" <?php if($entry['checkcontent']) echo 'checked '; ?>/>
								</td>
							</tr>
							<tr>
								<td><label for="urlcertcheck[<?php echo $entry['id']; ?>]">SSL-Zertifikat prüfen:</label></td>
								<td>
									<input class="radio_default" type="radio" name="urlcertcheck_d[<?php echo $entry['id']; ?>]" value="1" <?php if ($entry['certcheck_d']) echo 'checked'; ?>/> Gruppenstandard (<?php echo yesno($g_default_values['web_cert_check']); ?>)
								</td>
								<td>
									<input class="radio_default" type="radio" name="urlcertcheck_d[<?php echo $entry['id']; ?>]" value="0" <?php if (!$entry['certcheck_d']) echo 'checked'; ?>/>
									<input type="checkbox" name="urlcertcheck[<?php echo $entry['id']; ?>]" <?php if($entry['certcheck']) echo 'checked '; ?>/>
								</td>
							</tr>
							<?php if ($t_show != 'newweb') { ?>
								<?php if ($entry['site_ok']) { ?>
									<tr class="teststatus"><td class="desc">Erwartet:</td><td colspan="2"><?php echo $entry['found']; ?></td></tr>
								<?php } else { ?>
									<tr class="teststatus"><td class="desc">Erwartet:</td><td colspan="2"><?php echo $entry['expected']; ?></td></tr>
									<tr><td class="desc">Gefunden:</td><td colspan="2"><?php echo $entry['found']; ?></td></tr>
								<?php } ?>
							<?php } ?>
						</table>
					</div>
				<?php } //end foreach ?>
				<?php if ($t_show == 'newweb') { ?>
					<input type="hidden" value="newurlsave" name="action">
					<input type="submit" value="Ok" name="confirmsave">
					<input type="submit" value="Abbrechen" name="abort" formnovalidate class="actionsel">
					<span class="iconlink">
						<img src="img/add.png" alt=""/><a href="#" class="addform">weiteres Eingabefeld</a>
					</span>
				<?php } elseif ($t_show == 'editweb') { ?>
					<input type="hidden" value="editurlsave" name="action">
					<input type="submit" value="Ok" name="confirmsave">
					<input type="submit" value="Abbrechen" name="abort" formnovalidate>
				<?php } ?>
			</form>
		</div>
	</div>
<?php }
if ($t_show == 'normal' or $t_show == 'delmail') { ?>
	<div class="parbox">
		<span class="parhead">Email-Test</span>
		<div class="parbody">
			<form method="post" action="./" accept-charset="utf-8">
				<?php if ($t_show == 'delmail') { ?>
					<div class="testheading">Folgende Tests wirklich löschen?</div>
				<?php } ?>
				<?php foreach ($t_mail_list as $entry) { ?>
					<div class="<?php echo $entry['div_class']; ?> testbox">
						<?php if ($t_show == 'normal') { ?>
							<div class="testcell">
								<input type="checkbox" name="mailsel[]" value="<?php echo $entry['id']; ?>">
							</div>
							<div class="testcell">
						<?php } elseif ($t_show == 'delmail') { ?>
							<input type="hidden" name="mailsel[]" value="<?php echo $entry['id']; ?>">
						<?php } ?>
							<div class="testtitle">
								<?php echo $entry['addresses']; ?>
							</div>
							<table class="testdetails">
								<?php if (!empty($entry['comment'])) { ?>
									<tr><td class="desc">Anmerkung:</td><td><?php echo $entry['comment']; ?></td></tr>
								<?php } ?>
								<tr><td class="desc">Pfad / Nutzer: </td><td><?php echo $entry['path'].' / '.$entry['user']; ?></td></tr>
								<tr><td class="desc">Einstellungen:</td><td>
								Zeitlimit <?php printf('%s%s%s',nf($entry['timeout_d'] ? $g_default_values['mail_timeout_minutes'] : $entry['timeout']), 'min', $entry['timeout_d'] ? ' (S)' : ''); ?>,
								Mailversand <?php echo htmlspecialchars($entry['send_via_name']). ($entry['send_via_d'] ? ' (S)' : ''); ?></td></tr>
								<tr class="teststatus"><td class="desc">Status:</td><td><?php echo $entry['status']; ?></td></tr>
								<tr><td class="desc">Logs:</td><td>
								<?php if ($entry['logcount']==0) { ?>
									keine
								<?php } elseif ($entry['logcount']==1) { ?>
									<a href="./?logs=view&type=mail&id=<?php echo $entry['id']; ?>">1 Eintrag</a>
								<?php } else { ?>
									<a href="./?logs=view&type=mail&id=<?php echo $entry['id']; ?>"><?php echo $entry['logcount']; ?> Einträge</a>
								<?php } ?>
								</td></tr>
							</table>
						<?php if ($t_show == 'normal') { ?>
							</div>
						<?php }  ?>
					</div>
				<?php } // end foreach ?>
				<?php if ($t_show == 'normal') { ?>
					<?php if (count($t_mail_list)) { ?>
						<div class="testbox foot">
							<div class="testcell">
							<input type="hidden" class="allcb">
							</div>
							<div class="testcell">
							<select size="1" name="action">
								<option value="editmail">bearbeiten</option>
								<option value="mailon">aktivieren</option>
								<option value="mailoff">deaktivieren</option>
								<option value="resetmail">zurücksetzen</option>
								<option value="sendmail">Mails senden</option>
								<option value="getmail">Mails abrufen</option>
								<option value="delmail">löschen</option>
							</select>
							<input type="submit" value="Ok" name="send" class="actionsel">
						<?php } ?>
								<span class="iconlink">
									<img alt="" src="img/new.png"><a href="./?action=newmail">Neuen Test erstellen</a>
						</span>
					<?php if (count($t_web_list)) { ?>
					</div>
						</div>
					<?php } ?>
				<?php } elseif ($t_show == 'delmail') { ?>
					<div><input type="checkbox" checked name="dellogs" value="y"><label for="dellogs">Lösche auch die Logeinträge für diese Tests</label></div>
					<div>
						<input type="hidden" value="reallydelmail" name="action">
					<input type="submit" value="Ja" name="confirmdelete">
					<input type="submit" value="Nein" name="abort" formnovalidate>
					</div>
				<?php } ?>
			</form>
		</div>
	</div>
<?php }
if ($t_show == 'editmail' or $t_show == 'newmail') { ?>
	<div class="parbox">
		<span class="parhead">Email-Test</span>
		<div class="parbody">
			<form method="post" action="./" accept-charset="utf-8">
				<?php if ($t_show == 'newweb') { ?>
					<div class="testheading">Neue Tests anlegen</div>
				<?php } ?>
				<?php foreach ($t_mail_list as $entry) { ?>
					<div class="<?php echo $entry['div_class']; ?> testbox">
						<table class="testsettings">
							<tr>
								<td><label for="mailaddr[<?php echo $entry['id']; ?>]">Adressen:</label></td>
								<td colspan="2"><input type="text" pattern="<?php echo MAIL_PATTERN; ?>" title="Eine oder mehrere Emailadresseen mit Komma getrennt" name="mailaddr[<?php echo $entry['id']; ?>]" value="<?php echo $entry['addresses']; ?>" size="50"></td>
							</tr>
							<tr>
								<td><label for="mailpath[<?php echo $entry['id']; ?>]">Pfad:</label></td>
								<td colspan="2"><input type="text" pattern="<?php echo IMAP_PATTERN; ?>" title="Eine gültige imap_open-Mailboxangabe" name="mailpath[<?php echo $entry['id']; ?>]" value="<?php echo $entry['path']; ?>" size="50"></td>
							</tr>
							<tr>
								<td><label for="mailuser[<?php echo $entry['id']; ?>]">Nutzername:</label></td>
								<td colspan="2"><input type="text" title="Benutzername" name="mailuser[<?php echo $entry['id']; ?>]" value="<?php echo $entry['user']; ?>" size="50"></td>
							</tr>
							<tr>
								<td><label for="mailpw[<?php echo $entry['id']; ?>]">Passwort:</label></td>
								<td colspan="2"><input type="password" title="Passwort" name="mailpw[<?php echo $entry['id']; ?>]" value="<?php echo $entry['password']; ?>" <?php if ($t_show=='editmail') echo 'placeholder="Füllen Sie dieses Feld nur aus, wenn Sie das Passwort ändern möchten" '; ?>size="50"></td>
							</tr>
							<tr>
								<td><label for="mailcomment[<?php echo $entry['id']; ?>]">Anmerkung:</label></td>
								<td colspan="2"><input type="text" title="Anmerkung" name="mailcomment[<?php echo $entry['id']; ?>]" value="<?php echo $entry['comment']; ?>" placeholder="Sie können eine Anmerkung zu diesem Test eingeben." size="50"></td>
							</tr>
							<tr>
								<td><label for="mail_timeout[<?php echo $entry['id']; ?>]">Zeitlimit:</label></td>
								<td><input class="radio_default" type="radio" name="mail_timeout_d[<?php echo $entry['id']; ?>]" value="1" <?php if ($entry['timeout_d']) echo 'checked'; ?>/> Gruppenstandard (<?php echo $g_default_values['mail_timeout_minutes']; ?>min)</td>
								<td><input class="radio_default" type="radio" name="mail_timeout_d[<?php echo $entry['id']; ?>]" value="0" <?php if (!$entry['timeout_d']) echo 'checked'; ?>/>
								<input type="text" size="8" name="mail_timeout[<?php echo $entry['id']; ?>]" value="<?php echo $entry['timeout']; ?>"/> Minuten</td>
							</tr>
							<tr>
								<td><label for="mail_send_via[<?php echo $entry['id']; ?>]">Mailversand:</label></td>
								<td><input class="radio_default" type="radio" name="mail_send_via_d[<?php echo $entry['id']; ?>]" value="1" <?php if ($entry['send_via_d']) echo 'checked'; ?>/> Gruppenstandard (<?php echo $g_default_values['mail_send_via_name']; ?>)</td>
								<td><input class="radio_default" type="radio" name="mail_send_via_d[<?php echo $entry['id']; ?>]" value="0" <?php if (!$entry['send_via_d']) echo 'checked'; ?>/>
								<select size="1" name="mail_send_via[<?php echo $entry['id']; ?>]">
									<?php foreach ($t_smtp_list as $item) { ?>
										<option value="<?php echo htmlspecialchars($item['id']); ?>"<?php if ($entry['send_via']==$item['id']) echo ' selected'; ?>><?php echo htmlspecialchars($item['name']); ?></option>
									<?php } ?>
								</select></td>
							</tr>
							<?php if ($t_show != 'newmail') { ?>
								<tr class="teststatus">
									<td><span class="desc">Status:</span></td>
									<td colspan="2"><?php echo $entry['status']; ?></td>
								</tr>
							<?php } ?>
						</table> 
					</div>
				<?php } // end foreach ?>
				<?php if ($t_show == 'newmail') { ?>
					<input type="hidden" value="newmailsave" name="action">
					<input type="submit" value="Ok" name="confirmsave">
					<input type="submit" value="Abbrechen" name="abort" formnovalidate class="actionsel">
					<span class="iconlink">
						<img src="img/add.png" alt=""/><a href="#" class="addform">weiteres Eingabefeld</a>
					</span>
				<?php } elseif ($t_show == 'editmail') { ?>
					<input type="hidden" value="editmailsave" name="action">
					<input type="submit" value="Ok" name="confirmsave">
					<input type="submit" value="Abbrechen" name="abort" formnovalidate>
				<?php } ?>
			</form>
		</div>
	</div>
<?php } ?>
