<?php if (!defined('INIT')) exit;

// Geeignete Hilfeseite finden
if ($g_mode == 'testlist')
{
	$assign = array(
		'normal' => 'index',
		'newweb' => 'webtest',
		'editweb' => 'webtest',
		'delweb' => 'webtest',
		'newmail' => 'mailtest',
		'editmail' => 'mailtest',
		'delmail' => 'mailtest',
		);
	$t_help = isset($assign[$t_show]) ? $assign[$t_show] : 'index';
	unset($assign);
}
elseif ($g_mode == 'settings')
{
	$assign = array(
		'overview' => 'sett_index',
		'userlist' => 'sett_user',
		'grouplist' => 'sett_group',
		'newuser' => 'sett_user',
		'newgroup' => 'sett_group',
		'edituser' => 'sett_user',
		'editgroup' => 'sett_group',
		'deluser' => 'sett_user',
		'delgroup' => 'sett_group',
		'globalsettings' => 'sett_global',
		'groupsettings' => 'sett_activegroup',
		'privatesettings' => 'sett_private',
		'smtplist' => 'sett_smtp',
		'newsmtp' => 'sett_smtp',
		'editsmtp' => 'sett_smtp',
		'delsmtp' => 'sett_smtp',
		'info' => 'sett_info',
		);
	$t_help = isset($assign[$t_show]) ? $assign[$t_show] : 'sett_index';
	unset($assign);
}
elseif ($g_mode == 'logs')
{
	$assign = array(
		'list' => 'logs',
		'view' => 'logs',
		'delete' => 'logs',
		'errors' => 'faterror',
		'errorview' => 'faterror',
		'errordel' => 'faterror',
		);
	$t_help = isset($assign[$_GET['logs']]) ? $assign[$_GET['logs']] : 'logs';
	unset($assign);
}
else
{
	$t_help='index';
}


?>
<!DOCTYPE html> 
<html>
<head>
<meta charset="utf-8"> 
<link rel="stylesheet" type="text/css" href="style.css">
<script type="text/javascript" src="jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="script.js"></script>
<title>Rosmarin Serverüberwachung</title>
</head>
<body>
	<div class="menubox">
		<div class="menubody">
			<span><span>Nutzer: <?php echo htmlspecialchars($g_username).LF; ?></span></span><br class="nocss">	
			<span>
				<span>aktive Gruppe: <?php echo htmlspecialchars($g_active_group_name); ?></span><span class="dropdown_parent"><a href="#" onclick="return false;" tabindex="1"><img alt="" src="img/dropdown.png"></a>
					<span class="dropdown">
						<span class="nocss"><br>Gruppe wechseln:<br></span>
						<?php foreach ($g_groups as $group) {
							echo '<a ';
							if ($group['id'] == 0)
								echo 'class="admingrp" ';
							echo 'href="./?';
							echo querystring('setgroup');
							echo 'setgroup='.htmlspecialchars($group['id']);
							echo '">';
							echo htmlspecialchars($group['name']);
							echo '</a><br>';
						} ?>
						<br class="nocss">
					</span>
				</span>
			</span>
			<span class="iconlink"><img alt="" src="img/overview.png"><a href="./">Übersicht</a></span><br class="nocss">
			<span class="iconlink"><img alt="" src="img/logs.png"><a href="./?logs">Logs</a></span><br class="nocss">
			<span class="iconlink"><img alt="" src="img/options.png"><a href="./?settings">Einstellungen</a></span><br class="nocss">
			<?php if ($g_is_admin and preg_grep(FERR_PATTERN,scandir('cron-error/'))) { ?>
				<span class="iconlink faterror"><img alt="" src="img/error.png"><a href="./?logs=errors">Fehler</a></span><br class="nocss">
			<?php } ?>
			<span class="iconlink"><img alt="" src="img/help.png"><a target="_blank" href="./help.php?help=<?php echo $t_help; ?>">Hilfe</a></span><br class="nocss">
			<span class="iconlink"><img alt="" src="img/logout.png"><a href="./?logout">Abmelden</a></span><br class="nocss">
		</div>
	</div>
	<?php if (!empty($t_infos)) { ?>
		<div class="infobox">
			<ul>
				<?php foreach ($t_infos as $text) { ?>
					<li><?php echo htmlspecialchars($text); ?></li>
				<?php } ?>
			</ul>
		</div>
	<?php } ?>
	<?php if (!empty($t_warnings)) { ?>
		<div class="errorbox">
			Es sind Fehler aufgetreten:
			<ul>
				<?php foreach ($t_warnings as $text) { ?>
					<li><?php echo htmlspecialchars($text); ?></li>
				<?php } ?>
			</ul>
		</div>
	<?php } ?>
